Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface RDFNode

All Superinterfaces:
  FrontsNode

All Known Subinterfaces:
  AllDifferent, AllValuesFromRestriction, Alt, AnnotationProperty, Bag, BooleanClassDescription, CardinalityQRestriction, CardinalityRestriction, ComplementClass, Container, DataRange, DatatypeProperty, EnumeratedClass, FunctionalProperty, HasValueRestriction, Individual, IntersectionClass, InverseFunctionalProperty, Literal, MaxCardinalityQRestriction, MaxCardinalityRestriction, MinCardinalityQRestriction, MinCardinalityRestriction, ObjectProperty, OntClass, Ontology, OntProperty, OntResource, Property, QualifiedRestriction, RDFList, ReifiedStatement, Resource, Restriction, Seq, SomeValuesFromRestriction, SymmetricProperty, TransitiveProperty, UnionClass

    public interface RDFNode

extends FrontsNode

Interface covering RDF resources and literals. Allows probing whether a node is a literal/[blank, URI]resource, moving nodes from model to model, and viewing them as different Java types using the .as() polymorphism.

Author:
  bwm, kers

Method Summary
`RDFNode` | `as(java.lang.Class view)` RDFNodes can be converted to different implementation types.
`boolean` | `canAs(java.lang.Class view)` Answer true iff this RDFNode can be viewed as an instance of `view`: that is, if it has already been viewed in this way, or if it has an attached model in which it has properties that permit it to be viewed in this way.
`RDFNode` | `inModel(Model m)` Answer a .equals() version of this node, except that it's in the model `m`.
`boolean` | `isAnon()` Answer true iff this RDFNode is an anonynous resource.
`boolean` | `isLiteral()` Answer true iff this RDFNode is a literal resource.
`boolean` | `isResource()` Answer true iff this RDFNode is a URI resource or an anonynous resource (ie is not a literal).
`boolean` | `isURIResource()` Answer true iff this RDFNode is an named resource.
`java.lang.String` | `toString()` Answer a String representation of the node.
`java.lang.Object` | `visitWith(RDFVisitor rv)` Apply the appropriate method of the visitor to this node's content and return the result.

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### toString

    java.lang.String toString()

  Answer a String representation of the node. The form of the string depends on the type of the node and is intended for human consumption, not machine analysis.

  Overrides:
    `toString` in class `java.lang.Object`

### isAnon

    boolean isAnon()

  Answer true iff this RDFNode is an anonynous resource. Useful for one-off tests: see also visitWith() for making literal/anon/URI choices.

### isLiteral

    boolean isLiteral()

  Answer true iff this RDFNode is a literal resource. Useful for one-off tests: see also visitWith() for making literal/anon/URI choices.

### isURIResource

    boolean isURIResource()

  Answer true iff this RDFNode is an named resource. Useful for one-off tests: see also visitWith() for making literal/anon/URI choices.

### isResource

    boolean isResource()

  Answer true iff this RDFNode is a URI resource or an anonynous resource (ie is not a literal). Useful for one-off tests: see also visitWith() for making literal/anon/URI choices.

### as

    RDFNode as(java.lang.Class view)

  RDFNodes can be converted to different implementation types. Convert this RDFNode to a type supporting the `view`interface. The resulting RDFNode should be an instance of `view` and should have any internal invariants as specified.

  If the RDFNode has no Model attached, it can only be .as()ed to a type it (this particular RDFNOde) already has.

  If the RDFNode cannot be converted, an UnsupportedPolymorphism exception is thrown..

### canAs

    boolean canAs(java.lang.Class view)

  Answer true iff this RDFNode can be viewed as an instance of `view`: that is, if it has already been viewed in this way, or if it has an attached model in which it has properties that permit it to be viewed in this way. If `canAs` returns `true`, `as` on the same view should deliver an instance of that class.

### inModel

    RDFNode inModel(Model m)

  Answer a .equals() version of this node, except that it's in the model `m`.

  Parameters:
    `m` - a model to move the node to
  Returns:
    this, if it's already in m (or no model), a copy in m otherwise

### visitWith

    java.lang.Object visitWith(RDFVisitor rv)

  Apply the appropriate method of the visitor to this node's content and return the result.

  Parameters:
    `rv` - an RDFVisitor with a method for URI/blank/literal nodes
  Returns:
    the result returned by the selected method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP